MyBB Community Forums

Full Version: Editor Missing
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I'm using a theme created originally for 1.6x and then edited to "function properly" with 1.8x. Yet, the editor is missing in both 'New Thread' and 'New Reply'. I've noticed this being an issue and even went through the documentation posted around here somewhere on the possible causes and still can't seem to fix it. I'm not a master at this stuff and am breaking down and asking for help.

I really don't want to have to install the CKEditor plugin because I can't stand the extra seconds of load time. Anyways, if someone could possibly help me figure this out it would be greatly appreciated. Not sure what someone would need to look at - but I'm at a loss as to the cause.

Thanks!

Site: immortality.in-glory.net
(12-01-2014, 06:38 PM)AriaR Wrote: [ -> ]and then edited to "function properly" with 1.8x. 

It's far away from working properly in 1.8. Basically the whole headerinclude template needs to be corrected - Prototype is still loaded, jQuery is loaded 2 times, jQuery plugins added by MyBB 1.8 aren't loaded, useless noConflicts, etc.
(12-01-2014, 07:27 PM)Destroy666 Wrote: [ -> ]It's far away from working properly in 1.8. Basically the whole headerinclude template needs to be corrected - Prototype is still loaded, jQuery is loaded 2 times, jQuery plugins added by MyBB 1.8 aren't loaded, useless noConflicts, etc.

As I said, I'm no master and much of this is a foreign language to me. I'm a graphic designer, not much of a coder beyond editing something for aesthetics.

Would correcting this be simple, or not worth my time?
Well, generally downloading a 1.8 compatible theme is more recommended: http://community.mybb.com/mods.php?actio...ory=themes Or rebuilding your theme based on 1.8 default theme.

But if you want, you can correct what I said above in your old theme. Keep in mind you may encounter many other problems though.
(12-01-2014, 07:44 PM)Destroy666 Wrote: [ -> ]Well, generally downloading a 1.8 compatible theme is more recommended: http://community.mybb.com/mods.php?actio...ory=themes Or rebuilding your theme based on 1.8 default theme.

But if you want, you can correct what I said above in your old theme. Keep in mind you may encounter many other problems though.

I was afraid you might say that. Thanks for the info though. Much appreciated.